Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Acceptor_Registry.h File Reference

`#include "ace/Unbounded_Set.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Exception.h"`
`#include "tao/params.h"`
`#include "tao/Acceptor_Registry.i"`

Include dependency graph for Acceptor_Registry.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | TAO_Acceptor_Registry
| Acceptor Registry and Generic Acceptor interface definitions. All loaded ESIOP or GIOP acceptor bridges must register with this object. More...
## Typedefs
typedef ACE_Unbounded_Set_Iterator< TAO_Protocol_Item * > | TAO_ProtocolFactorySetItor
typedef TAO_Acceptor ** | TAO_AcceptorSetIterator

## Detailed Description

Id
  Acceptor_Registry.h,v 1.37 2005/11/24 11:05:44 ossama Exp

Interface for the TAO pluggable protocol framework.

Author:
  Fred Kuhns <fredk@cs.wustl.edu>

  Ossama Othman <ossama@uci.edu>

## Typedef Documentation

typedef TAO_Acceptor** TAO_AcceptorSetIterator

typedef ACE_Unbounded_Set_Iterator<TAO_Protocol_Item *> TAO_ProtocolFactorySetItor